Curious problem with yum

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



I recently ran "yum update" and encountered a conflict
with iptstate requiring libnetfilter.conntrack .

OK, that is simple enough;
but if I remove iptstate
I can then re-install it without any problem.
---------------------------------------
[[email protected] ~]$ sudo yum remove iptstate
...
  iptstate.i586 0:2.2.1-5.fc11

Complete!
[[email protected] ~]$ sudo yum install iptstate
...
Installed:
  iptstate.i586 0:2.2.1-5.fc11

Complete!
---------------------------------------
Why don't I get the dependency problem here?
I still get it if I run "yum update" again.
---------------------------------------
[[email protected] ~]$ sudo yum update
Loaded plugins: downloadonly, priorities, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libnetfilter_conntrack.so.1 for package: 
iptstate-2.2.1-5.fc11.i586
---> Package libnetfilter_conntrack.i586 0:0.0.100-1.fc11 set to be updated
--> Finished Dependency Resolution
iptstate-2.2.1-5.fc11.i586 from installed has depsolving problems
  --> Missing Dependency: libnetfilter_conntrack.so.1 is needed by package 
iptstate-2.2.1-5.fc11.i586 (installed)
Error: Missing Dependency: libnetfilter_conntrack.so.1 is needed by package 
iptstate-2.2.1-5.fc11.i586 (installed)
---------------------------------------

-- 
Timothy Murphy  
e-mail: gayleard /at/ eircom.net
tel: +353-86-2336090, +353-1-2842366
s-mail: School of Mathematics, Trinity College, Dublin 2, Ireland

-- 
fedora-list mailing list
[email protected]
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
Guidelines: http://fedoraproject.org/wiki/Communicate/MailingListGuidelines

[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux